//=============================================================================
//
// file :        TemplateDevServ.h
//
// description : Include for the TemplateDevServ class.
//
// project :     TANGO
//
// $Author: pascal_verdier $
//
// $Revision: 3.4 $
//
// $Log: DevServ.h,v $
// Revision 3.4  2005/03/02 14:06:15  pascal_verdier
// namespace is different than class name.
//
// Revision 3.3  2004/10/25 14:12:00  pascal_verdier
// Minor changes.
//
// Revision 3.2  2004/09/06 09:27:05  pascal_verdier
// Modified for Tango 5 compatibility.
//
//
// copyleft :    European Synchrotron Radiation Facility
//               BP 220, Grenoble 38043
//               FRANCE
//
//=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================
#ifndef _TEMPLATEDEVSERV_H
#define _TEMPLATEDEVSERV_H

#include <tango.h>
//using namespace Tango;

/**
 * @author	$Author: pascal_verdier $
 * @version	$Revision: 3.4 $
 */

 //	Add your own constants definitions here.
 //-----------------------------------------------


namespace TemplateDevServ_ns
{

class TemplateDevServ: public Tango::Device_3Impl
{
public :
	//	Add your own data members here
	//-----------------------------------------


	//	Here is the Start of the automatic code generation part
	//-------------------------------------------------------------	
/**
 *	@name attributes
 *	Attributs member data.
 */
//@{
//@}

/**
 *	@name Device properties
 *	Device properties member data.
 */
//@{
//@}

/**@name Constructors
 * Miscellaneous constructors */
//@{
/**
 * Constructs a newly allocated Command object.
 *
 *	@param cl	Class.
 *	@param s 	Device Name
 */
	TemplateDevServ(Tango::DeviceClass *cl,string &s);
/**
 * Constructs a newly allocated Command object.
 *
 *	@param cl	Class.
 *	@param s 	Device Name
 */
	TemplateDevServ(Tango::DeviceClass *cl,const char *s);
/**
 * Constructs a newly allocated Command object.
 *
 *	@param cl	Class.
 *	@param s 	Device name
 *	@param d	Device description.
 */
	TemplateDevServ(Tango::DeviceClass *cl,const char *s,const char *d);
//@}

/**@name Destructor
 * Only one desctructor is defined for this class */
//@{
/**
 * The object desctructor.
 */	
	~TemplateDevServ() {delete_device();};
/**
 *	will be called at device destruction or at init command.
 */
	void delete_device();
//@}

	
/**@name Miscellaneous methods */
//@{
/**
 *	Initialize the device
 */
	virtual void init_device();
/**
 *	Always executed method befor execution command method.
 */
	virtual void always_executed_hook();



//@}

	//	Here is the end of the automatic code generation part
	//-------------------------------------------------------------	



protected :	
	//	Add your own data members here
	//-----------------------------------------
};

}	// namespace_ns

#endif	// _TEMPLATEDEVSERV_H
